Bug 1288766 - (gco) Review Request: gco - Optimizing multi-label energies via the α-expansion and α-β-swap algorithms
Review Request: gco - Optimizing multi-label energies via the α-expansion and...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro python-pygco
  Show dependency treegraph
 
Reported: 2015-12-05 17:17 EST by Igor Gnatenko
Modified: 2015-12-08 16:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 16:16:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-12-05 17:17:00 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/gco.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/gco-3.0-1.fc24.src.rpm
Description:
Library is for optimizing multi-label energies via the α-expansion and
α-β-swap algorithms. It supports energies with any combination of
unary, pairwise, and label cost terms.
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-08 16:16:06 EST
From GCO_README.TXT:

  IMPORTANT:
  To use this software, YOU MUST CITE the following in any resulting publication:
  ...

  This software can be used only for research purposes. For commercial purposes,
  be aware that there is a US patent on the main algorithm itself:

        R. Zabih, Y. Boykov, O. Veksler,
        "System and method for fast approximate energy minimization via graph cuts",
        United Stated Patent 6,744,923, June 1, 2004

  ...

    This software and its modifications can be used and distributed for
    research purposes only. Publications resulting from use of this code
    must cite publications according to the rules given above. Only
    Olga Veksler has the right to redistribute this code, unless expressed
    permission is given otherwise. Commercial use of this code, any of
    its parts, or its modifications is not permited. 

So there's no way that this can be packaged for Fedora, sorry.
Comment 2 Igor Gnatenko 2015-12-08 16:17:43 EST
I think I can ask upstream to permit us this, no?
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-12-08 16:22:08 EST
You *can* ask, it probably is even *worth* asking, but it seems very unlikely that they'll give permission. They would need to give both a) unrestricted permission to use and modify b) a patent grant.

Note You need to log in before you can comment on or make changes to this bug.